Actualizar calificación de cliente
curl --request PATCH \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/captain/assistants/{assistant_id}/client_qualifications/{id} \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--data '
{
"client_qualification": {
"name": "<string>",
"enabled": true,
"apply_actions": true,
"criteria": [
{
"key": "<string>",
"label": "<string>",
"instructions": "<string>",
"yes_when": "<string>",
"no_when": "<string>"
}
],
"bands": [
{
"key": "<string>",
"label": "<string>",
"max_missing": 123,
"raise_priority": true,
"handoff": true,
"team_id": 123
}
]
}
}
'const options = {
method: 'PATCH',
headers: {api_access_token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
client_qualification: {
name: '<string>',
enabled: true,
apply_actions: true,
criteria: [
{
key: '<string>',
label: '<string>',
instructions: '<string>',
yes_when: '<string>',
no_when: '<string>'
}
],
bands: [
{
key: '<string>',
label: '<string>',
max_missing: 123,
raise_priority: true,
handoff: true,
team_id: 123
}
]
}
})
};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/captain/assistants/{assistant_id}/client_qualifications/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/captain/assistants/{assistant_id}/client_qualifications/{id}"
payload = { "client_qualification": {
"name": "<string>",
"enabled": True,
"apply_actions": True,
"criteria": [
{
"key": "<string>",
"label": "<string>",
"instructions": "<string>",
"yes_when": "<string>",
"no_when": "<string>"
}
],
"bands": [
{
"key": "<string>",
"label": "<string>",
"max_missing": 123,
"raise_priority": True,
"handoff": True,
"team_id": 123
}
]
} }
headers = {
"api_access_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"id": 123,
"assistant_id": 123,
"name": "<string>",
"enabled": true,
"deal_type": "rent",
"criteria": [
{
"key": "<string>",
"label": "<string>",
"instructions": "<string>",
"yes_when": "<string>",
"no_when": "<string>"
}
],
"bands": [
{
"key": "<string>",
"label": "<string>",
"max_missing": 123,
"raise_priority": true,
"handoff": true,
"team_id": 123
}
],
"band_preview": {},
"apply_actions": true,
"version": 123,
"created_at": 123,
"updated_at": 123
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{}{}Client Qualifications
Actualizar calificación de cliente
Cambia una calificación de cliente de un asistente.
PATCH
/
api
/
v1
/
accounts
/
{account_id}
/
captain
/
assistants
/
{assistant_id}
/
client_qualifications
/
{id}
Actualizar calificación de cliente
curl --request PATCH \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/captain/assistants/{assistant_id}/client_qualifications/{id} \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--data '
{
"client_qualification": {
"name": "<string>",
"enabled": true,
"apply_actions": true,
"criteria": [
{
"key": "<string>",
"label": "<string>",
"instructions": "<string>",
"yes_when": "<string>",
"no_when": "<string>"
}
],
"bands": [
{
"key": "<string>",
"label": "<string>",
"max_missing": 123,
"raise_priority": true,
"handoff": true,
"team_id": 123
}
]
}
}
'const options = {
method: 'PATCH',
headers: {api_access_token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
client_qualification: {
name: '<string>',
enabled: true,
apply_actions: true,
criteria: [
{
key: '<string>',
label: '<string>',
instructions: '<string>',
yes_when: '<string>',
no_when: '<string>'
}
],
bands: [
{
key: '<string>',
label: '<string>',
max_missing: 123,
raise_priority: true,
handoff: true,
team_id: 123
}
]
}
})
};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/captain/assistants/{assistant_id}/client_qualifications/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/captain/assistants/{assistant_id}/client_qualifications/{id}"
payload = { "client_qualification": {
"name": "<string>",
"enabled": True,
"apply_actions": True,
"criteria": [
{
"key": "<string>",
"label": "<string>",
"instructions": "<string>",
"yes_when": "<string>",
"no_when": "<string>"
}
],
"bands": [
{
"key": "<string>",
"label": "<string>",
"max_missing": 123,
"raise_priority": True,
"handoff": True,
"team_id": 123
}
]
} }
headers = {
"api_access_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"id": 123,
"assistant_id": 123,
"name": "<string>",
"enabled": true,
"deal_type": "rent",
"criteria": [
{
"key": "<string>",
"label": "<string>",
"instructions": "<string>",
"yes_when": "<string>",
"no_when": "<string>"
}
],
"bands": [
{
"key": "<string>",
"label": "<string>",
"max_missing": 123,
"raise_priority": true,
"handoff": true,
"team_id": 123
}
],
"band_preview": {},
"apply_actions": true,
"version": 123,
"created_at": 123,
"updated_at": 123
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{}{}Path Parameters
Response
Success
Una calificación del asistente que puntúa una conversación contra criterios y pone al contacto en una banda.